This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 238577 - DVD Burning with cdrecord
DVD Burning with cdrecord
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 12:16 EDT by George Spanos
Modified: 2008-08-18 10:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 10:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Spanos 2007-05-01 12:16:38 EDT
Description of problem:

Using cdrecord (cdrecord-2.01.1-5) on a "SONY DVD RW DRU-830A" (external
USB drive) with DVD-R media burns the disk but hangs for 15 minutes
(until the 1000 second timeout) when it's "fixating" the disk.

Fixating works fine with CD-R media.



Version-Release number of selected component (if applicable):
cdrecord-2.01.1-5

How reproducible:
cdrecord -v -eject -dao driveropts=burnfree dev=2,0,0 speed=8 DVDImg-01.iso


Actual results:
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg
Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
TOC Type: 1 = CD-ROM
scsidev: '2,0,0'
scsibus: 2 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c
1.83 04/05/20 Copyright 1997 J. Schilling').
Driveropts: 'burnfree'
SCSI buffer size: 64512
atapi: 1
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   :
Vendor_info    : 'SONY    '
Identifikation : 'DVD RW DRU-830A '
Revision       : 'SS23'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0011
Profile: 0x0015
Profile: 0x0016
Profile: 0x002B
Profile: 0x001B
Profile: 0x001A
Profile: 0x0014
Profile: 0x0013
Profile: 0x0012
Profile: 0x0011 (current)
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009
Profile: 0x0008
Profile: 0x0002
cdrecord: Found DVD media: using cdr_mdvd.
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags   : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1048576 = 1024 KB
FIFO size      : 4194304 = 4096 KB
Track 01: data     0 MB         padsize:  232 KB
Total size:        0 MB (00:04.00) = 300 sectors
Lout start:        1 MB (00:06/00) = 300 sectors
Current Secsize: 2048
  ATIP start of lead in:  -150 (00:00/00)
Disk type:    unknown dye (reserved id code)
Manuf. index: -1
Manufacturer: unknown (not in table)
Blocks total: 2298496 Blocks current: 2298496 Blocks remaining: 2298196
scsi_set_streaming
Speed set to 11080 KB/s
Starting to write CD/DVD at speed   8.0 in real SAO mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
trackno=0
BURN-Free is OFF.
BURN-Free is OFF.
cdrecord: Turning BURN-Free on
Performing OPC...
Sending CUE sheet...
cdrecord: WARNING: Drive returns wrong startsec (0) using -150
Starting new track at sector: 0
Track 01:    0 of    0 MB written.
Track 01: writing 232 KB of pad data.
Track 01: Total bytes read/written: 376832/614400 (300 sectors).
Writing  time:   15.398s
Average write speed  10.8x.
Fixating...
cdrecord: Input/output error. flush cache: scsi sendcmd: no error
CDB:  35 00 00 00 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 02 00 00 00 00 0A 00 00 00 00 04 01 00 00
Sense Key: 0x2 Not Ready, Segment 0
Sense Code: 0x04 Qual 0x01 (logical unit is in process of becoming
ready) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 1019.905s timeout 1000s
Trouble flushing the cache
Fixating time: 1031.554s
cdrecord: fifo had 6 puts and 6 gets.
cdrecord: fifo was 0 times empty and 0 times full, min fill was 100%.
Comment 1 Harald Hoyer 2007-05-02 07:03:26 EDT
Please try growisofs from dvd+rw-tools. This will show us, if your drive
supports standard MMC commands.
Comment 2 Phil Knirsch 2008-08-18 10:33:55 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to persue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.